<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [purchaseEquipment](./bitburner.gang.purchaseequipment.md)

## Gang.purchaseEquipment() method

Purchase an equipment for a gang member.

**Signature:**

```typescript
purchaseEquipment(memberName: string, equipName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  memberName | string | Name of Gang member to purchase the equipment for. |
|  equipName | string | Name of Equipment/Augmentation to purchase. |

**Returns:**

boolean

True if the equipment was successfully purchased. False otherwise

## Remarks

RAM cost: 4 GB

Attempt to purchase the specified Equipment/Augmentation for the specified Gang member.

